ssh2_exec
ssh2_fingerprint
SSH2 Functions
PHP Manual

# ssh2_fetch_stream

(PECL ssh2 >= 0.9.0)

ssh2_fetch_stream — Fetch an extended data stream

### Description

resource ssh2_fetch_stream ( resource `$channel` , int `$streamid` )

Fetches an alternate substream associated with an SSH2 channel stream. The SSH2 protocol currently defines only one substream, STDERR, which has a substream ID of `SSH2_STREAM_STDERR` (defined as 1).

### Parameters

`channel`

`streamid`

  An SSH2 channel stream.

### Return Values

Returns the requested stream resource.

### Examples

Example #1 Opening a shell and retrieving the stderr stream associated with it

`<?php
$connection = ssh2_connect('shell.example.com', 22);
ssh2_auth_password($connection, 'username', 'password');
$stdio_stream = ssh2_shell($connection);
$stderr_stream = ssh2_fetch_stream($stdio_stream, SSH2_STREAM_STDERR);
?>`

### See Also

- ssh2_shell() - Request an interactive shell
- ssh2_exec() - Execute a command on a remote server
- ssh2_connect() - Connect to an SSH server

ssh2_exec
ssh2_fingerprint
SSH2 Functions
PHP Manual